## gl2ps 1.3.5

=== CMakeLists.txt ===
#  GL2PS, an OpenGL to PostScript Printing Library
#  Copyright (C) 1999-2009 C. Geuzaine
# 
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of either:
# 
#  a) the GNU Library General Public License as published by the Free
#  Software Foundation, either version 2 of the License, or (at your
#  option) any later version; or
# 
#  b) the GL2PS License as published by Christophe Geuzaine, either
#  version 2 of the License, or (at your option) any later version.
# 
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See either
#  the GNU Library General Public License or the GL2PS License for
#  more details.
# 
#  You should have received a copy of the GNU Library General Public
#  License along with this library in the file named "COPYING.LGPL";
#  if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#  Cambridge, MA 02139, USA.
# 
#  You should have received a copy of the GL2PS License with this
#  library in the file named "COPYING.GL2PS"; if not, I will be glad
#  to provide one.
# 
#  For the latest info about gl2ps and a full list of contributors,
#  see http://www.geuz.org/gl2ps/.
# 
#  Please report all bugs and problems to <gl2ps@geuz.org>.

cmake_minimum_required(VERSION 2.4 FATAL_ERROR)

# if CMAKE_BUILD_TYPE is specified use it; otherwise set the default
# build type to "RelWithDebInfo" ("-O2 -g" with gcc) prior to calling
# project()
if(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose build type")
else(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose build type")
endif(DEFINED CMAKE_BUILD_TYPE)

project(gl2ps C)

option(ENABLE_ZLIB "Enable compression using ZLIB" ON)
option(ENABLE_PNG "Enable PNG support" ON)

set(GL2PS_MAJOR_VERSION 1)
set(GL2PS_MINOR_VERSION 3)
set(GL2PS_PATCH_VERSION 5)
set(GL2PS_EXTRA_VERSION "" CACHE STRING "GL2PS extra version string")

set(GL2PS_VERSION "${GL2PS_MAJOR_VERSION}.${GL2PS_MINOR_VERSION}")
set(GL2PS_VERSION "${GL2PS_VERSION}.${GL2PS_PATCH_VERSION}${GL2PS_EXTRA_VERSION}")

execute_process(COMMAND date "+%Y%m%d" OUTPUT_VARIABLE DATE 
                OUTPUT_STRIP_TRAILING_WHITESPACE)
if(NOT DATE)
  set(DATE "unknown")
endif(NOT DATE)
set(GL2PS_DATE "${DATE}")

if(APPLE)
  set(GL2PS_OS "MacOSX")
elseif(CYGWIN)
  set(GL2PS_OS "Windows")
else(APPLE)
  set(GL2PS_OS "${CMAKE_SYSTEM_NAME}")
endif(APPLE)

find_package(OpenGL)
if(OPENGL_FOUND)
  list(APPEND EXTERNAL_INCLUDES ${OPENGL_INCLUDE_DIR})
  list(APPEND EXTERNAL_LIBRARIES ${OPENGL_LIBRARIES})
endif(OPENGL_FOUND)

find_package(GLUT)
if(GLUT_FOUND)
  list(APPEND EXTERNAL_INCLUDES ${GLUT_INCLUDE_DIR})
  list(APPEND EXTERNAL_LIBRARIES ${GLUT_LIBRARIES})
endif(GLUT_FOUND)

if(ENABLE_ZLIB)
  find_package(ZLIB)
  if(ZLIB_FOUND)
    add_definitions(-DHAVE_ZLIB)
    list(APPEND EXTERNAL_INCLUDES ${ZLIB_INCLUDE_DIR})
    list(APPEND EXTERNAL_LIBRARIES ${ZLIB_LIBRARIES})
  endif(ZLIB_FOUND)
endif(ENABLE_ZLIB)

if(ENABLE_PNG)
  find_package(PNG)
  if(PNG_FOUND)
    add_definitions(-DHAVE_PNG)
    list(APPEND EXTERNAL_LIBRARIES ${PNG_LIBRARIES})
    list(APPEND EXTERNAL_INCLUDES ${PNG_INCLUDE_DIR})
  endif(PNG_FOUND)
endif(ENABLE_PNG)

include_directories(${EXTERNAL_INCLUDES})

if(OPENGL_FOUND)
  add_library(lib STATIC gl2ps.c gl2ps.h)
  set_target_properties(lib PROPERTIES OUTPUT_NAME gl2ps)

  add_library(shared SHARED gl2ps.c gl2ps.h)
  target_link_libraries(shared ${EXTERNAL_LIBRARIES})
  set_target_properties(shared PROPERTIES OUTPUT_NAME gl2ps)
  if(MSVC)
    set_target_properties(shared PROPERTIES COMPILE_FLAGS "-DGL2PSDLL -DGL2PSDLL_EXPORTS")
  endif(MSVC)

  install(TARGETS lib shared DESTINATION lib)
endif(OPENGL_FOUND)

if(WIN32)
  set(GL2PS_DOC .)
else(WIN32)
  set(GL2PS_DOC share/doc/gl2ps)
endif(WIN32)

install(FILES gl2ps.h DESTINATION include)
install(FILES ${CMAKE_SOURCE_DIR}/README.txt DESTINATION ${GL2PS_DOC})
install(FILES ${CMAKE_SOURCE_DIR}/COPYING.LGPL DESTINATION ${GL2PS_DOC})
install(FILES ${CMAKE_SOURCE_DIR}/COPYING.GL2PS DESTINATION ${GL2PS_DOC})
install(FILES ${CMAKE_SOURCE_DIR}/gl2psTest.c DESTINATION ${GL2PS_DOC})
install(FILES ${CMAKE_SOURCE_DIR}/gl2psTestSimple.c DESTINATION ${GL2PS_DOC})

if(GLUT_FOUND)
  add_executable(gl2psTest WIN32 gl2psTest.c)
  target_link_libraries(gl2psTest lib ${EXTERNAL_LIBRARIES})
  add_executable(gl2psTestSimple WIN32 gl2psTestSimple.c)
  target_link_libraries(gl2psTestSimple lib ${EXTERNAL_LIBRARIES})
endif(GLUT_FOUND)

find_package(LATEX)
if(PDFLATEX_COMPILER)
  add_custom_command(OUTPUT gl2ps.pdf DEPENDS gl2ps.tex 
                     COMMAND ${PDFLATEX_COMPILER} ARGS ${CMAKE_SOURCE_DIR}/gl2ps.tex
                     COMMAND ${PDFLATEX_COMPILER} ARGS ${CMAKE_SOURCE_DIR}/gl2ps.tex
                     COMMAND ${PDFLATEX_COMPILER} ARGS ${CMAKE_SOURCE_DIR}/gl2ps.tex
                     COMMAND ${CMAKE_COMMAND} -E copy gl2ps.pdf ${CMAKE_SOURCE_DIR})
  add_custom_target(pdf ALL DEPENDS gl2ps.pdf)
  install(FILES gl2ps.pdf DESTINATION ${GL2PS_DOC})
  find_program(TTH tth)
  if(TTH)
    add_custom_command(OUTPUT gl2ps.html DEPENDS gl2ps.tex gl2ps.pdf
                       COMMAND ${CMAKE_COMMAND} -E copy_if_different 
                       ${CMAKE_SOURCE_DIR}/gl2ps.tex ${CMAKE_BINARY_DIR}/gl2ps.tex
                       COMMAND ${TTH} ARGS -w1 gl2ps.tex)
    add_custom_target(html DEPENDS gl2ps.html)
  endif(TTH)
endif(PDFLATEX_COMPILER)

set(CPACK_PACKAGE_VENDOR "Christophe Geuzaine")
set(CPACK_PACKAGE_VERSION_MAJOR ${GL2PS_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${GL2PS_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${GL2PS_PATCH_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_SOURCE_DIR}/README.txt)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY 
    "An OpenGL to PostScript (and PDF, and SVG...) printing library")
set(CPACK_PACKAGE_FILE_NAME gl2ps-${GL2PS_VERSION}-${GL2PS_OS})
set(CPACK_PACKAGE_INSTALL_DIRECTORY "gl2ps")
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/COPYING.LGPL)
set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README.txt)
set(CPACK_RESOURCE_FILE_WELCOME ${CMAKE_SOURCE_DIR}/README.txt)
set(CPACK_PACKAGE_EXECUTABLE "gl2ps;gl2ps")
set(CPACK_STRIP_FILES TRUE)
set(CPACK_SOURCE_PACKAGE_FILE_NAME gl2ps-${GL2PS_VERSION}-source)
set(CPACK_SOURCE_GENERATOR TGZ)
set(CPACK_SOURCE_IGNORE_FILES "${CMAKE_BINARY_DIR}" "/CVS/" "/.svn" "~$" 
    "DS_Store$" "/tmp/" "/bin/" "/lib/")
if(WIN32)
  set(CPACK_GENERATOR ZIP)
else(WIN32)
  set(CPACK_GENERATOR TGZ)
endif(WIN32)

include(CPack)

## gl2ps 1.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #  GL2PS, an OpenGL to PostScript Printing Library
-#  Copyright (C) 1999-2009 C. Geuzaine
+#  Copyright (C) 1999-2011 C. Geuzaine
 # 
 #  This program is free software; you can redistribute it and/or
 #  modify it under the terms of either:
@@ -49,7 +49,7 @@
 
 set(GL2PS_MAJOR_VERSION 1)
 set(GL2PS_MINOR_VERSION 3)
-set(GL2PS_PATCH_VERSION 5)
+set(GL2PS_PATCH_VERSION 6)
 set(GL2PS_EXTRA_VERSION "" CACHE STRING "GL2PS extra version string")
 
 set(GL2PS_VERSION "${GL2PS_MAJOR_VERSION}.${GL2PS_MINOR_VERSION}")
@@ -109,6 +109,9 @@
   add_library(shared SHARED gl2ps.c gl2ps.h)
   target_link_libraries(shared ${EXTERNAL_LIBRARIES})
   set_target_properties(shared PROPERTIES OUTPUT_NAME gl2ps)
+  set_target_properties(shared PROPERTIES
+                        VERSION ${GL2PS_MAJOR_VERSION}.${GL2PS_MINOR_VERSION}.${GL2PS_PATCH_VERSION}
+                        SOVERSION ${GL2PS_MAJOR_VERSION})
   if(MSVC)
     set_target_properties(shared PROPERTIES COMPILE_FLAGS "-DGL2PSDLL -DGL2PSDLL_EXPORTS")
   endif(MSVC)

## gl2ps 1.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #  GL2PS, an OpenGL to PostScript Printing Library
-#  Copyright (C) 1999-2011 C. Geuzaine
+#  Copyright (C) 1999-2012 C. Geuzaine
 # 
 #  This program is free software; you can redistribute it and/or
 #  modify it under the terms of either:
@@ -49,7 +49,7 @@
 
 set(GL2PS_MAJOR_VERSION 1)
 set(GL2PS_MINOR_VERSION 3)
-set(GL2PS_PATCH_VERSION 6)
+set(GL2PS_PATCH_VERSION 8)
 set(GL2PS_EXTRA_VERSION "" CACHE STRING "GL2PS extra version string")
 
 set(GL2PS_VERSION "${GL2PS_MAJOR_VERSION}.${GL2PS_MINOR_VERSION}")
@@ -69,6 +69,12 @@
 else(APPLE)
   set(GL2PS_OS "${CMAKE_SYSTEM_NAME}")
 endif(APPLE)
+
+include(CheckFunctionExists)
+check_function_exists(vsnprintf HAVE_VSNPRINTF)
+if(NOT HAVE_VSNPRINTF)
+  add_definitions(-DHAVE_NO_VSNPRINTF)
+endif(NOT HAVE_VSNPRINTF)
 
 find_package(OpenGL)
 if(OPENGL_FOUND)
@@ -116,7 +122,7 @@
     set_target_properties(shared PROPERTIES COMPILE_FLAGS "-DGL2PSDLL -DGL2PSDLL_EXPORTS")
   endif(MSVC)
 
-  install(TARGETS lib shared DESTINATION lib)
+  install(TARGETS lib shared DESTINATION lib${LIB_SUFFIX})
 endif(OPENGL_FOUND)
 
 if(WIN32)

=== debian/changelog ===
gl2ps (1.3.8-1) unstable; urgency=low

  * Upload to unstable
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 14 May 2013 11:07:39 +0200

gl2ps (1.3.8-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 10 Dec 2012 18:14:17 +0100

gl2ps (1.3.7-1~exp1) experimental; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.3
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 18 Sep 2012 09:07:17 +0200

gl2ps (1.3.6-1) unstable; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Aug 2011 00:28:00 +0200

gl2ps (1.3.5-2) unstable; urgency=low

  * -Wl,--no-add-needed added to the linker. Should (Closes: #558864)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 Dec 2009 17:59:07 +0100

gl2ps (1.3.5-1) unstable; urgency=low

  * New upstream release
  * change in the repack script (orig-tar.sh) since upstream changed the dir
    name
  * patch noexit.diff removed (applied upstream)
  * TODO file removed (no longer in upstream tarball)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 09 Nov 2009 12:04:30 +0100

gl2ps (1.3.4-1) unstable; urgency=low

  * Initial release (Closes: #550369)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 09 Oct 2009 16:44:27 +0200

=== debian/control ===
Source: gl2ps
Section: libs
Priority: optional
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), cdbs, mesa-common-dev
Standards-Version: 3.9.4
Homepage: http://geuz.org/gl2ps/
Vcs-Svn: https://bollin.googlecode.com/svn/gl2ps/trunk
Vcs-Browser: http://bollin.googlecode.com/svn/gl2ps/trunk

Package: libgl2ps-dev
Section: libdevel
Architecture: any
Depends:  libgl2ps0 (= ${binary:Version}), ${misc:Depends}
Description: Lib providing high quality vector output for OpenGL application
 GL2PS is a C library providing high quality vector output for any OpenGL
 application. The main difference between GL2PS and other similar libraries
 is the use of sorting algorithms capable of handling intersecting and
 stretched polygons, as well as non manifold objects. GL2PS provides advanced
 smooth shading and text rendering, culling of invisible primitives, mixed
 vector/bitmap output, and much more...
 .
 GL2PS can currently create PostScript (PS), Encapsulated PostScript (EPS),
 Portable Document Format (PDF) and Scalable Vector Graphics (SVG) files,
 as well as LATEX files for the text fragments. GL2PS also provides limited,
 experimental support for Portable LaTeX Graphics (PGF). Adding new vector
 output formats should be relatively easy; you can also use the excellent
 pstoedit program to transform the PostScript files generated by GL2PS into
 many other vector formats such as xfig, cgm, wmf, etc.
 .
 This package contains the development files needed to compile software to
 use the libgl2ps API.

Package: libgl2ps0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lib providing high quality vector output for OpenGL application
 GL2PS is a C library providing high quality vector output for any OpenGL
 application. The main difference between GL2PS and other similar libraries
 is the use of sorting algorithms capable of handling intersecting and
 stretched polygons, as well as non manifold objects. GL2PS provides advanced
 smooth shading and text rendering, culling of invisible primitives, mixed
 vector/bitmap output, and much more...
 .
 GL2PS can currently create PostScript (PS), Encapsulated PostScript (EPS),
 Portable Document Format (PDF) and Scalable Vector Graphics (SVG) files,
 as well as LATEX files for the text fragments. GL2PS also provides limited,
 experimental support for Portable LaTeX Graphics (PGF). Adding new vector
 output formats should be relatively easy; you can also use the excellent
 pstoedit program to transform the PostScript files generated by GL2PS into
 many other vector formats such as xfig, cgm, wmf, etc.
 .

Package: libgl2ps0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgl2ps0 (= ${binary:Version}), ${misc:Depends}
Description: Lib providing high quality vector output for OpenGL application
 GL2PS is a C library providing high quality vector output for any OpenGL
 application. The main difference between GL2PS and other similar libraries
 is the use of sorting algorithms capable of handling intersecting and
 stretched polygons, as well as non manifold objects. GL2PS provides advanced
 smooth shading and text rendering, culling of invisible primitives, mixed
 vector/bitmap output, and much more...
 .
 GL2PS can currently create PostScript (PS), Encapsulated PostScript (EPS),
 Portable Document Format (PDF) and Scalable Vector Graphics (SVG) files,
 as well as LATEX files for the text fragments. GL2PS also provides limited,
 experimental support for Portable LaTeX Graphics (PGF). Adding new vector
 output formats should be relatively easy; you can also use the excellent
 pstoedit program to transform the PostScript files generated by GL2PS into
 many other vector formats such as xfig, cgm, wmf, etc.
 .
 This package contains the debugging symbols of the library.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 Sylvestre Ledru <sylvestre.ledru@inria.fr>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET  := install DESTDIR=$(CURDIR)/debian/tmp/

## gl2ps 1.3.9

=== debian/changelog ===
gl2ps (1.3.9-2) unstable; urgency=medium

  * [0e58a6b] Set strict version for Breaks/Replaces. (Closes: #826776)
  * [b85d12f] Fix package list in autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Wed, 08 Jun 2016 23:14:35 +0200

gl2ps (1.3.9-1) unstable; urgency=medium

  * [9b26219] Add autopkgtest.
  * Move package from experimental to unstable.

 -- Anton Gladky <gladk@debian.org>  Fri, 27 May 2016 18:53:35 +0200

gl2ps (1.3.8-3) unstable; urgency=medium

  * [13bd395] Set version to 0.0.0. (Closes: #824882)

 -- Anton Gladky <gladk@debian.org>  Sat, 21 May 2016 07:57:24 +0200

gl2ps (1.3.9-1~exp2) experimental; urgency=medium

  * [e6f31b9] Add Breaks/Replaces for libglps0.

 -- Anton Gladky <gladk@debian.org>  Fri, 20 May 2016 20:21:20 +0200

gl2ps (1.3.9-1~exp1) experimental; urgency=medium

  * [53b511d] Imported Upstream version 1.3.9. (Closes: #822057)
  * [ad4890f] Refresh patches.
  * [1db23dd] Update package name. (Closes: #824357)

 -- Anton Gladky <gladk@debian.org>  Thu, 19 May 2016 23:11:26 +0200

gl2ps (1.3.8-2) unstable; urgency=medium

  * [355710d] Refresh patches, remove outdated.
  * [2ee7615] Use cmake for lib-building. (Closes: #775405)
  * [25bac02] Remove dbg-binary.
  * [3e4b324] Set compat-level 9.
  * [bc15f05] Update install-files. Remove outdated files in d/.
  * [f22b3c6] Update d/copyright according to DEP-5.
  * [1889a43] Remove d/orig*.
  * [f63fdad] Move package into Debian Science Team. (Closes: #822161)
  * [48e813c] Update d/watch.
  * [7732718] Set --no-add-needed flag.
  * [53746fc] Do not install extra license files.
  * [7b05769] Ignore quilt dir
  * [bea2dbd] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Thu, 19 May 2016 22:38:49 +0200

gl2ps (1.3.8-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * 1000_gl2ps_tikz-fix-rotated-text.patch: Make sure brace is closed for
    rotated text (Closes: #820930).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 05 May 2016 15:31:44 +0200

gl2ps (1.3.8-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix compilation error (missing libGL.so). Closes: #775412
    Add missing deps on libgl-dev

 -- Mathieu Malaterre <malat@debian.org>  Thu, 15 Jan 2015 12:48:33 +0100

gl2ps (1.3.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix undefined symbols. Closes: #775403
    + d/p/undef.patch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 15 Jan 2015 11:43:18 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-add-needed

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.pdf

=== debian/tests/control ===
Tests: build1 build2
Depends: libgl2ps-dev, build-essential

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://geuz.org/gl2ps/src/ gl2ps-([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## gl2ps 1.4.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #  GL2PS, an OpenGL to PostScript Printing Library
-#  Copyright (C) 1999-2012 C. Geuzaine
+#  Copyright (C) 1999-2017 C. Geuzaine
 # 
 #  This program is free software; you can redistribute it and/or
 #  modify it under the terms of either:
@@ -48,8 +48,8 @@
 option(ENABLE_PNG "Enable PNG support" ON)
 
 set(GL2PS_MAJOR_VERSION 1)
-set(GL2PS_MINOR_VERSION 3)
-set(GL2PS_PATCH_VERSION 8)
+set(GL2PS_MINOR_VERSION 4)
+set(GL2PS_PATCH_VERSION 0)
 set(GL2PS_EXTRA_VERSION "" CACHE STRING "GL2PS extra version string")
 
 set(GL2PS_VERSION "${GL2PS_MAJOR_VERSION}.${GL2PS_MINOR_VERSION}")
@@ -106,6 +106,11 @@
   endif(PNG_FOUND)
 endif(ENABLE_PNG)
 
+find_library(MATH_LIBRARY m)
+if(MATH_LIBRARY)
+  list(APPEND EXTERNAL_LIBRARIES ${MATH_LIBRARY})
+endif(MATH_LIBRARY)
+
 include_directories(${EXTERNAL_INCLUDES})
 
 if(OPENGL_FOUND)
@@ -116,8 +121,8 @@
   target_link_libraries(shared ${EXTERNAL_LIBRARIES})
   set_target_properties(shared PROPERTIES OUTPUT_NAME gl2ps)
   set_target_properties(shared PROPERTIES
-                        VERSION ${GL2PS_MAJOR_VERSION}.${GL2PS_MINOR_VERSION}.${GL2PS_PATCH_VERSION}
-                        SOVERSION ${GL2PS_MAJOR_VERSION})
+    VERSION ${GL2PS_MAJOR_VERSION}.${GL2PS_MINOR_VERSION}.${GL2PS_PATCH_VERSION}
+    SOVERSION ${GL2PS_MAJOR_VERSION})
   if(MSVC)
     set_target_properties(shared PROPERTIES COMPILE_FLAGS "-DGL2PSDLL -DGL2PSDLL_EXPORTS")
   endif(MSVC)
@@ -180,8 +185,8 @@
 set(CPACK_STRIP_FILES TRUE)
 set(CPACK_SOURCE_PACKAGE_FILE_NAME gl2ps-${GL2PS_VERSION}-source)
 set(CPACK_SOURCE_GENERATOR TGZ)
-set(CPACK_SOURCE_IGNORE_FILES "${CMAKE_BINARY_DIR}" "/CVS/" "/.svn" "~$" 
-    "DS_Store$" "/tmp/" "/bin/" "/lib/")
+set(CPACK_SOURCE_IGNORE_FILES "TODO.txt" "${CMAKE_BINARY_DIR}" "/CVS/"
+    "/.svn" "/.git" "~$" "DS_Store$" "/tmp/" "/bin/" "/lib/")
 if(WIN32)
   set(CPACK_GENERATOR ZIP)
 else(WIN32)

=== debian/changelog ===
gl2ps (1.4.0+dfsg1-2) unstable; urgency=medium

  * [85c5383] Include 2 patches needed for VTK9. (Closes: #893869)
  * [3c01150] Set compat-level 11
  * [a3dd42c] Set Standards-Version 4.1.3
  * [8388471] control: update Vcs-Browser and Vcs-Git

 -- Anton Gladky <gladk@debian.org>  Sat, 24 Mar 2018 23:09:42 +0100

gl2ps (1.4.0+dfsg1-1) unstable; urgency=medium

  * [324752b] Clean tex-helper-files.
  * [9cfe0ac] Set Standards-Version: 4.1.0
  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Wed, 27 Sep 2017 21:35:46 +0200

gl2ps (1.4.0+dfsg1-1~exp1) experimental; urgency=medium

  * [d33fe24] New upstream version 1.4.0+dfsg1
  * [8911bc1] Add +dfsg1 prefix.
  * [afb2a8a] Switch to compat-level 10.
  * [1aca219] Refresh patches.
  * [c156fe4] Use more granular so-version (1.4).
  * [ad35f79] Update short description for libgl2ps-dev.
  * [4c82cdd] Use hardening=+all option.
  * [ff7d078] Add -doc package.
  * [0eee8f2] Update d/copyright.

 -- Anton Gladky <gladk@debian.org>  Sat, 20 May 2017 12:34:57 +0200

gl2ps (1.3.9-4) unstable; urgency=high

  * [b920f53] Fix typo in CMakeLists.

 -- Anton Gladky <gladk@debian.org>  Thu, 30 Jun 2016 18:41:20 +0200

gl2ps (1.3.9-3) unstable; urgency=medium

  [ Agustin Martin Domingo ]
  * [df690e2]  Remove 1000_gl2ps_tikz-fix-rotated-text.patch.
               Applied upstream in 1.3.9. (Closes: #827839)

  [ Anton Gladky ]
  * [63f256d] Add freeglut3-dev to tests/control.

 -- Anton Gladky <gladk@debian.org>  Wed, 22 Jun 2016 21:29:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,24 @@
 Source: gl2ps
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
-Maintainer: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, mesa-common-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 11),
+               cmake,
+               mesa-common-dev,
+               libgl1-mesa-dev | libgl-dev
+Build-Depends-Indep: texlive-latex-recommended
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/gl2ps
+Vcs-Git: https://salsa.debian.org/science-team/gl2ps.git
 Homepage: http://geuz.org/gl2ps/
-Vcs-Svn: https://bollin.googlecode.com/svn/gl2ps/trunk
-Vcs-Browser: http://bollin.googlecode.com/svn/gl2ps/trunk
 
 Package: libgl2ps-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends:  libgl2ps0 (= ${binary:Version}), ${misc:Depends}
-Description: Lib providing high quality vector output for OpenGL application
+Depends: libgl2ps1.4 (= ${binary:Version}),
+         ${misc:Depends}
+Description: Lib providing high quality vector output for OpenGL application, dev files
  GL2PS is a C library providing high quality vector output for any OpenGL
  application. The main difference between GL2PS and other similar libraries
  is the use of sorting algorithms capable of handling intersecting and
@@ -31,9 +37,10 @@
  This package contains the development files needed to compile software to
  use the libgl2ps API.
 
-Package: libgl2ps0
+Package: libgl2ps1.4
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: Lib providing high quality vector output for OpenGL application
  GL2PS is a C library providing high quality vector output for any OpenGL
  application. The main difference between GL2PS and other similar libraries
@@ -49,14 +56,12 @@
  output formats should be relatively easy; you can also use the excellent
  pstoedit program to transform the PostScript files generated by GL2PS into
  many other vector formats such as xfig, cgm, wmf, etc.
- .
 
-Package: libgl2ps0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libgl2ps0 (= ${binary:Version}), ${misc:Depends}
-Description: Lib providing high quality vector output for OpenGL application
+Package: libgl2ps-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Lib providing high quality vector output for OpenGL application. Documentation
  GL2PS is a C library providing high quality vector output for any OpenGL
  application. The main difference between GL2PS and other similar libraries
  is the use of sorting algorithms capable of handling intersecting and
@@ -72,4 +77,4 @@
  pstoedit program to transform the PostScript files generated by GL2PS into
  many other vector formats such as xfig, cgm, wmf, etc.
  .
- This package contains the debugging symbols of the library.
+ The package contains documentation

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://geuz.org/gl2ps/src/ gl2ps-([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## gl2ps 1.4.2%2Bdfsg1

=== debian/changelog ===
gl2ps (1.4.2+dfsg1-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:42:28 +0200

gl2ps (1.4.2+dfsg1-2) unstable; urgency=medium

  * Team Upload.
  * [ce0ac19] Attempt making reproducible (Closes: #989572)
  * [4a7216c] Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 23:56:31 +0530

gl2ps (1.4.2+dfsg1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Anton Gladky <gladk@debian.org>  Fri, 05 Mar 2021 19:57:58 +0100

gl2ps (1.4.2+dfsg1-1) unstable; urgency=medium

  * [d143218] New upstream version 1.4.2+dfsg1
  * [93df03f] Update patches
  * [61676de] Remove symbol-file
  * [6e4c5ce] Use secure URI in debian/watch.
  * [c10ad20] Use secure URI in Homepage field.
  * [af95085] Remove obsolete fields Contact, Name from debian/upstream/metadata
              (already present in machine-readable debian/copyright).

 -- Anton Gladky <gladk@debian.org>  Thu, 09 Apr 2020 21:07:39 +0200

gl2ps (1.4.0+dfsg1-3) unstable; urgency=medium

  * Team Upload.
  * [c7a803e] Update Build Depends and Description (Closes: #952247)
  * [eb85949] Add upstream/metadata
  * [9fddf65] Fix spaces in rules
  * [1b88259] Add relevant symbols required by the package
  * [023b2b2] Fix lintian
  * [adc7918] Drop compat, switch to debhelper-compat
  * [e1cd13d] Add "Rules-Requires-Root:no"
  * [24f2f1a] Bump standards version to 4.5.0
  * [bd3cae5] Fix compiling command in tests

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 29 Feb 2020 15:27:49 +0530

## gl2ps 1.4.2+dfsg1

=== CMakeLists.txt ===
#  GL2PS, an OpenGL to PostScript Printing Library
#  Copyright (C) 1999-2017 C. Geuzaine
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of either:
#
#  a) the GNU Library General Public License as published by the Free
#  Software Foundation, either version 2 of the License, or (at your
#  option) any later version; or
#
#  b) the GL2PS License as published by Christophe Geuzaine, either
#  version 2 of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See either
#  the GNU Library General Public License or the GL2PS License for
#  more details.
#
#  You should have received a copy of the GNU Library General Public
#  License along with this library in the file named "COPYING.LGPL";
#  if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#  Cambridge, MA 02139, USA.
#
#  You should have received a copy of the GL2PS License with this
#  library in the file named "COPYING.GL2PS"; if not, I will be glad
#  to provide one.
#
#  For the latest info about gl2ps and a full list of contributors,
#  see http://www.geuz.org/gl2ps/.
#
#  Please report all bugs and problems to <gl2ps@geuz.org>.

cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

# do not warn about non-definition of WIN32 on Cygwin
set(CMAKE_LEGACY_CYGWIN_WIN32 0)

# if CMAKE_BUILD_TYPE is specified use it; otherwise set the default
# build type to "RelWithDebInfo" ("-O2 -g" with gcc) prior to calling
# project()
if(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose build type")
else()
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose build type")
endif()

project(gl2ps C)

option(ENABLE_ZLIB "Enable compression using ZLIB" ON)
option(ENABLE_PNG "Enable PNG support" ON)

set(GL2PS_MAJOR_VERSION 1)
set(GL2PS_MINOR_VERSION 4)
set(GL2PS_PATCH_VERSION 2)
set(GL2PS_EXTRA_VERSION "" CACHE STRING "GL2PS extra version string")

set(GL2PS_VERSION "${GL2PS_MAJOR_VERSION}.${GL2PS_MINOR_VERSION}")
set(GL2PS_VERSION "${GL2PS_VERSION}.${GL2PS_PATCH_VERSION}${GL2PS_EXTRA_VERSION}")

execute_process(COMMAND date "+%Y%m%d" OUTPUT_VARIABLE DATE
                OUTPUT_STRIP_TRAILING_WHITESPACE)
if(NOT DATE)
  set(DATE "unknown")
endif()
set(GL2PS_DATE "${DATE}")

if(APPLE)
  set(GL2PS_OS "MacOSX")
elseif(CYGWIN)
  # detect if we use the MinGW compilers on Cygwin - if we do, handle the build
  # as a pure Windows build
  if(CMAKE_CXX_COMPILER_ID MATCHES "GNU" OR
     CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpmachine
                    OUTPUT_VARIABLE CXX_COMPILER_MACHINE
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
    if(CXX_COMPILER_MACHINE MATCHES "mingw")
      set(GMSH_OS "Windows")
      set(WIN32 1)
      add_definitions(-DWIN32)
    endif()
  endif()
else()
  set(GL2PS_OS "${CMAKE_SYSTEM_NAME}")
endif()

include(CheckFunctionExists)
check_function_exists(vsnprintf HAVE_VSNPRINTF)
if(NOT HAVE_VSNPRINTF)
  add_definitions(-DHAVE_NO_VSNPRINTF)
endif()

find_package(OpenGL)
if(OPENGL_FOUND)
  list(APPEND EXTERNAL_INCLUDES ${OPENGL_INCLUDE_DIR})
  list(APPEND EXTERNAL_LIBRARIES ${OPENGL_LIBRARIES})
endif()

find_package(GLUT)
if(GLUT_FOUND)
  list(APPEND EXTERNAL_INCLUDES ${GLUT_INCLUDE_DIR})
  list(APPEND EXTERNAL_LIBRARIES ${GLUT_LIBRARIES})
endif()

if(ENABLE_ZLIB)
  find_package(ZLIB)
  if(ZLIB_FOUND)
    add_definitions(-DHAVE_ZLIB)
    list(APPEND EXTERNAL_INCLUDES ${ZLIB_INCLUDE_DIR})
    list(APPEND EXTERNAL_LIBRARIES ${ZLIB_LIBRARIES})
  endif()
endif()

if(ENABLE_PNG)
  find_package(PNG)
  if(PNG_FOUND)
    add_definitions(-DHAVE_PNG)
    list(APPEND EXTERNAL_LIBRARIES ${PNG_LIBRARIES})
    list(APPEND EXTERNAL_INCLUDES ${PNG_INCLUDE_DIR})
  endif()
endif()

find_library(MATH_LIBRARY m)
if(MATH_LIBRARY)
  list(APPEND EXTERNAL_LIBRARIES ${MATH_LIBRARY})
endif()

include_directories(${EXTERNAL_INCLUDES})

if(APPLE)
  # OpenGL and GLUT are deprecated on macOS...
  include(CheckCCompilerFlag)
  check_c_compiler_flag("-Wdeprecated-declarations" DEPRECATED)
  if(DEPRECATED)
    set_source_files_properties(gl2ps.c gl2psTest.c gl2psTestSimple.c PROPERTIES
                                COMPILE_FLAGS "-Wno-deprecated-declarations")
  endif()
endif()

if(OPENGL_FOUND)
  add_library(lib STATIC gl2ps.c gl2ps.h)
  set_target_properties(lib PROPERTIES OUTPUT_NAME gl2ps)

  add_library(shared SHARED gl2ps.c gl2ps.h)
  target_link_libraries(shared ${EXTERNAL_LIBRARIES})
  set_target_properties(shared PROPERTIES OUTPUT_NAME gl2ps
    VERSION ${GL2PS_MAJOR_VERSION}.${GL2PS_MINOR_VERSION}.${GL2PS_PATCH_VERSION}
    SOVERSION ${GL2PS_MAJOR_VERSION})
  if(WIN32 OR CYGWIN)
    set_target_properties(shared PROPERTIES
        COMPILE_FLAGS "-DGL2PSDLL -DGL2PSDLL_EXPORTS")
  endif()
  install(TARGETS lib shared RUNTIME DESTINATION bin
                             LIBRARY DESTINATION lib${LIB_SUFFIX}
                             ARCHIVE DESTINATION lib${LIB_SUFFIX})
endif()

if(WIN32)
  set(GL2PS_DOC .)
else()
  set(GL2PS_DOC share/doc/gl2ps)
endif()

install(FILES gl2ps.h DESTINATION include)
install(FILES ${CMAKE_SOURCE_DIR}/README.txt DESTINATION ${GL2PS_DOC})
install(FILES ${CMAKE_SOURCE_DIR}/COPYING.LGPL DESTINATION ${GL2PS_DOC})
install(FILES ${CMAKE_SOURCE_DIR}/COPYING.GL2PS DESTINATION ${GL2PS_DOC})
install(FILES ${CMAKE_SOURCE_DIR}/gl2psTest.c DESTINATION ${GL2PS_DOC})
install(FILES ${CMAKE_SOURCE_DIR}/gl2psTestSimple.c DESTINATION ${GL2PS_DOC})

if(GLUT_FOUND)
  add_executable(gl2psTest WIN32 gl2psTest.c)
  target_link_libraries(gl2psTest lib ${EXTERNAL_LIBRARIES})
  add_executable(gl2psTestSimple WIN32 gl2psTestSimple.c)
  target_link_libraries(gl2psTestSimple lib ${EXTERNAL_LIBRARIES})
endif()

find_package(LATEX)
if(PDFLATEX_COMPILER)
  add_custom_command(OUTPUT gl2ps.pdf DEPENDS gl2ps.tex
                     COMMAND ${PDFLATEX_COMPILER} ARGS ${CMAKE_SOURCE_DIR}/gl2ps.tex
                     COMMAND ${PDFLATEX_COMPILER} ARGS ${CMAKE_SOURCE_DIR}/gl2ps.tex
                     COMMAND ${PDFLATEX_COMPILER} ARGS ${CMAKE_SOURCE_DIR}/gl2ps.tex
                     COMMAND ${CMAKE_COMMAND} -E copy gl2ps.pdf ${CMAKE_SOURCE_DIR})
  add_custom_target(pdf ALL DEPENDS gl2ps.pdf)
  install(FILES gl2ps.pdf DESTINATION ${GL2PS_DOC})
  find_program(TTH tth)
  if(TTH)
    add_custom_command(OUTPUT gl2ps.html DEPENDS gl2ps.tex gl2ps.pdf
                       COMMAND ${CMAKE_COMMAND} -E copy_if_different
                       ${CMAKE_SOURCE_DIR}/gl2ps.tex ${CMAKE_BINARY_DIR}/gl2ps.tex
                       COMMAND ${TTH} ARGS -w1 gl2ps.tex)
    add_custom_target(html DEPENDS gl2ps.html)
  endif()
endif()

set(CPACK_PACKAGE_VENDOR "Christophe Geuzaine")
set(CPACK_PACKAGE_VERSION_MAJOR ${GL2PS_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${GL2PS_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${GL2PS_PATCH_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_SOURCE_DIR}/README.txt)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
    "An OpenGL to PostScript (and PDF, and SVG...) printing library")
if(GL2PS_EXTRA_VERSION MATCHES "-git.*") # so that we'll overwrite the archives
  set(CPACK_PACKAGE_FILE_NAME gl2ps-git-${GL2PS_OS})
  set(CPACK_SOURCE_PACKAGE_FILE_NAME gl2ps-git)
else()
  set(CPACK_PACKAGE_FILE_NAME gl2ps-${GL2PS_VERSION}-${GL2PS_OS})
  set(CPACK_SOURCE_PACKAGE_FILE_NAME gl2ps-${GL2PS_VERSION})
endif()
set(CPACK_PACKAGE_INSTALL_DIRECTORY "gl2ps")
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/COPYING.LGPL)
set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README.txt)
set(CPACK_RESOURCE_FILE_WELCOME ${CMAKE_SOURCE_DIR}/README.txt)
set(CPACK_PACKAGE_EXECUTABLE "gl2ps;gl2ps")
set(CPACK_STRIP_FILES TRUE)
set(CPACK_SOURCE_GENERATOR TGZ)
set(CPACK_SOURCE_IGNORE_FILES "TODO.txt" "${CMAKE_BINARY_DIR}" "/CVS/"
    "/.svn" "/.git" "~$" "DS_Store$" "/tmp/" "/bin/" "/lib/")
if(WIN32)
  set(CPACK_GENERATOR ZIP)
else()
  set(CPACK_GENERATOR TGZ)
endif()

include(CPack)

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                mesa-common-dev,
                libgl1-mesa-dev | libgl-dev
-Build-Depends-Indep: texlive-latex-recommended
-Standards-Version: 4.1.3
+Build-Depends-Indep: texlive-latex-recommended, texlive-latex-extra
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/gl2ps
 Vcs-Git: https://salsa.debian.org/science-team/gl2ps.git
-Homepage: http://geuz.org/gl2ps/
+Homepage: https://geuz.org/gl2ps/
+Rules-Requires-Root: no
 
 Package: libgl2ps-dev
 Architecture: any
@@ -61,7 +62,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Description: Lib providing high quality vector output for OpenGL application. Documentation
+Description: Lib providing high quality vector output for OpenGL application, documentation
  GL2PS is a C library providing high quality vector output for any OpenGL
  application. The main difference between GL2PS and other similar libraries
  is the use of sorting algorithms capable of handling intersecting and

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-add-needed

%:
	dh $@ --buildsystem=cmake

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.pdf
	rm -rf *.aux
	rm -rf *.log
	rm -rf *.out
	rm -rf *.toc

override_dh_auto_build-indep:
	pdflatex gl2ps.tex; pdflatex gl2ps.tex;

=== debian/tests/control ===
Tests: build1 build2
Depends: libgl2ps-dev, build-essential, freeglut3-dev
